Subject: Re: bug#56153: Menu>Emacs>Quit Emacs not working properly

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Jul 2022 11:20:34 +0200

(Please keep the debbugs address in the CCs -- otherwise it won't reach
the bug tracker.)

OK; reopening.

Konrad Podczeck <[email-masked]> writes:

>  Anfang der weitergeleiteten Nachricht:
>
>  Von: Konrad Podczeck <[email-masked]>
>  Betreff: Aw: bug#56153: Menu>Emacs>Quit Emacs not working
>  properly
>  Datum: 23. Juni 2022 um 09:23:59 MESZ
>  An: Po Lu <[email-masked]>
>
>  Am 23.06.2022 um 09:02 schrieb Po Lu <[email-masked]>:
>
>  Konrad Podczeck <[email-masked]> writes:
>
>  Start the app. Drag an additional file onto the app window. Now, using
>  the mouse, do Menu>Emacs>Quit Emacs. Nevertheless, the app does
>  not
>  react and stays open.
>
>  I don't see this on either GNUstep or macOS.  What program did you drag
>  the file from, what was the type of the file, and what system are you
>  running?
>
>  I draged ns-win.el (from just the finder), and I use mac OS Monterey 12.4. for
>  Apple M1.
>
>  Anfang der weitergeleiteten Nachricht:
>
>  Von: Lars Ingebrigtsen <[email-masked]>
>  Betreff: Aw: bug#56153: Menu>Emacs>Quit Emacs not working
>  properly
>  Datum: 23. Juli 2022 um 10:37:38 MESZ
>  An: Po Lu <[email-masked]>
>  Kopie: Konrad Podczeck <[email-masked]>,
>  [email-masked]
>
>  Po Lu <[email-masked]> writes:
>
>  Konrad Podczeck <[email-masked]> writes:
>
>  Start the app. Drag an additional file onto the app window. Now, using
>  the mouse, do Menu>Emacs>Quit Emacs. Nevertheless, the app does
>  not
>  react and stays open.
>
>  I don't see this on either GNUstep or macOS.  What program did you drag
>  the file from, what was the type of the file, and what system are you
>  running?
>
>  More information was requested, but no response was given within a
>  month, so I'm closing this bug report.  If the problem still exists,
>  please respond to this email and we'll reopen the bug report.
>
>  Anfang der weitergeleiteten Nachricht:
>
>  Von: Konrad Podczeck <[email-masked]>
>  Betreff: Aw: bug#56153: Menu>Emacs>Quit Emacs not working
>  properly
>  Datum: 23. Juni 2022 um 09:52:48 MESZ
>  An: Po Lu <[email-masked]>
>
>  Am 23.06.2022 um 09:45 schrieb Po Lu <[email-masked]>:
>
>  Konrad Podczeck <[email-masked]> writes:
>
>  I draged ns-win.el (from just the finder), and I use mac OS Monterey
>  12.4. for Apple M1.
>
>  Right.  I see that too with ns-win.el: it seems that `ns-power-off' is
>  being sent upon this type of event (which is odd, since the system isn't
>  shutting down), but more importantly `save-buffers-kill-emacs' isn't
>  doing anything.
>
>  I will look into that.
>
>  Thanks!